CLOCK(4) | Device Drivers Manual (sparc) | CLOCK(4)

# NAME

`clock`, `oclock` — Clock driver for Sun SPARC computers

# SYNOPSIS

`clock0 at mainbus0 # sun4c`
`clock0 at obio0 # sun4m`
`clock0 at obio0 addr 0xf2000000 # sun4/300`

`ooclock0 at obio0 addr 0xf3000000 # sun4/200`
`ooclock0 at obio0 addr 0x03000000 # sun4/100`

# DESCRIPTION

The `clock` device contains common timer, clock and eeprom routines for the NetBSD kernel.

All system use the timer interrupt to drive the hard clock. The second interrupt is used to drive statistics clock, except sun4/100 and sun4/200 machines, which don't have a spare timer device.

# HARDWARE

The `clock` driver provides support for the following chips:

Dallas DS1287A
Intersil 7170
Mostek Mk48T02
Mostek Mk48T08

# SEE ALSO

sparc/timer(4)

# HISTORY

The `clock` appeared in NetBSD 1.0.

February 24, 2006 | NetBSD 10.99